Package org.eclipse.debug.core

# Interface IBreakpointsListener

public interface IBreakpointsListener
A breakpoints listener is notified of breakpoint additions, removals, and changes. Listeners register and unregister with the breakpoint manager.

This interface is analogous to `IBreakpointListener` except notifications are batched for more than one breakpoint when possible.

Clients may implement this interface.

Since:
  2.1
See Also:
  - `IBreakpointManager`

## Method Summary

Modifier and Type
Method
Description
`void`
`breakpointsAdded(IBreakpoint[] breakpoints)`
Notifies this listener that the given breakpoints have been added to the breakpoint manager.
`void`
`breakpointsChanged(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)`
Notifies this listener that the given breakpoints have changed, as described by the corresponding deltas.
`void`
`breakpointsRemoved(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)`
Notifies this listener that the given breakpoints have been removed from the breakpoint manager.

## Method Details

### breakpointsAdded

void breakpointsAdded(IBreakpoint[] breakpoints)
Notifies this listener that the given breakpoints have been added to the breakpoint manager.

Parameters:
  `breakpoints` - the added breakpoints

### breakpointsRemoved

void breakpointsRemoved(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)
Notifies this listener that the given breakpoints have been removed from the breakpoint manager. If a breakpoint has been removed because it has been deleted, the associated marker delta is also provided.

Parameters:
  `breakpoints` - the removed breakpoints
  `deltas` - the associated marker deltas. Entries may be `null` when a breakpoint is removed from the breakpoint manager without being deleted
See Also:
  - `IMarkerDelta`

### breakpointsChanged

void breakpointsChanged(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)
Notifies this listener that the given breakpoints have changed, as described by the corresponding deltas.

Parameters:
  `breakpoints` - the changed breakpoints
  `deltas` - the marker deltas that describe the changes with the markers associated with the given breakpoints. Entries may be `null` when a breakpoint change does not generate a marker delta
See Also:
  - `IMarkerDelta`